Create claim for a plan Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/plans/{plan_uuid}/claim

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required
application/json

Body

  • client_uuid string(uuid)

    Client who is claiming this cover. Must be able to access this plan.

  • claim_amount integer Required

    Claim amount in pennies.

  • claim_start_date string(date) Required

    Claim start date

  • claim_end_date string(date)

    Claim end date

  • claim_notes string(date)

    Claim notes

Responses

  • 201 application/json
    Hide response attribute Show response attribute object
    • message string
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string
POST /api/v1/plans/{plan_uuid}/claim
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/claim' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"client_uuid":"fb315af5-634b-4824-b7e0-9f7dfde52e38","claim_amount":892176,"claim_start_date":"2024-06-08","claim_end_date":"2031-06-08","claim_notes":"Claim notes"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "client_uuid": "fb315af5-634b-4824-b7e0-9f7dfde52e38",
  "claim_amount": 892176,
  "claim_start_date": "2024-06-08",
  "claim_end_date": "2031-06-08",
  "claim_notes": "Claim notes"
}
Response examples (201)
{
  "message": "Plan is being deleted."
}
Response examples (409)
{
  "message": "Plan is being deleted."
}